--- softdevice.h.original	2006-02-05 22:33:30.000000000 +0100
+++ softdevice.h	2006-02-05 22:37:01.000000000 +0100
@@ -115,8 +115,12 @@
   virtual int  GetAudioChannelDevice(void);
   virtual void SetDigitalAudioDevice(bool On);
   virtual void SetAudioTrackDevice(eTrackType Type);  
+#if VDRVERSNUM >= 10342 
+  virtual int  PlayAudio(const uchar *Data, int Length, uchar Id);
+#else
   virtual int  PlayAudio(const uchar *Data, int Length);
 #endif
+#endif
 #if VDRVERSNUM >= 10307
   virtual int ProvidesCa(const cChannel *Channel) const;
 
--- softdevice.c.original	2006-02-05 22:33:24.000000000 +0100
+++ softdevice.c	2006-02-05 22:38:14.000000000 +0100
@@ -571,7 +571,11 @@
 #else
 /* ----------------------------------------------------------------------------
  */
+#ifdef VDRVERSNUM >= 10342
+int cSoftDevice::PlayAudio(const uchar *Data, int Length, uchar Id)
+#else
 int cSoftDevice::PlayAudio(const uchar *Data, int Length)
+#endif
 {
   //fprintf(stderr,"PlayAudio...\n");
   if (! packetMode)
